package com.neusoft.sms.sgip.examples;

import java.util.Arrays;

import org.apache.log4j.Logger;

import cn.gzjp.sms.sgip.message.SendResult;
import cn.gzjp.sms.sgip.mo.server.MOServer;
import cn.gzjp.sms.sgip.mt.client.MTClient;

public class SmsExample {
	private static final Logger log = Logger.getLogger(SmsExample.class);

	public static void main(String args[]){
		//获取单例的MO服务端,此代码必须在应用启动的时候就调用,用于启动上行和报告消息的监听端口,需要调用一次就行了
		MOServer server = MOServer.getInstance();//不调用该代码，将会导致无法接受上行和报告短信

		MTClient client = MTClient.getInstance();//获取单例的MTClienter
		
		//以下是发送短信的代码（可多线程调用）
		SendResult[] results = client.sendMessage("8613504002818", "测试短信");
		for(SendResult  reslut: results){
			log.info("发送短信，短信序号为："+ Arrays.toString(reslut.getFlowId()) + "发送结果:"+reslut.getResult());
		}
		//发送短信代码结束
		
		//由于是例子，所以发送完毕后就退出应用了，但是因为网关的报告消息需要一定时间才发送到所以这里先sleep下再退出应用
		try {
			Thread.sleep(10000);
		} catch (InterruptedException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		//当应用退出时需要销毁应用
		MOServer.getInstance().dispose();//关闭MOServer
		MTClient.getInstance().dispose();//关闭MTClient
	}
	
}
