package com.neusoft.sms.sgip.examples;

import java.util.Arrays;
import java.util.Date;

import org.apache.log4j.Logger;

import cn.gzjp.sms.sgip.message.SendResult;
import cn.gzjp.sms.sgip.mo.server.MOServer;
import cn.gzjp.sms.sgip.mt.client.MTClient;

public class WappushExample {
	private static final Logger log = Logger.getLogger(WappushExample.class);

	public static void main(String args[]){
		//获取单例的MO服务端,此代码必须在应用启动的时候就调用,用于启动上行和报告消息的监听端口,需要调用一次就行了
		MOServer server = MOServer.getInstance();//不调用该代码，将会导致无法接受上行和报告短信

		MTClient client = MTClient.getInstance();//获取单例的MTClienter
		
		//以下是发送短信的代码（可多线程调用）
		 //* @param extendPort 下发时使用的扩展端口，如分配的SP端口为10010，使用1001011下发是，本参数填11，前面的10010不需要带。
		 //*            不使用扩展端口时可使用null或者""。
		 //* @param userNumber
		 //*            接收手机号码,最多100个，号码前需要带86，在行业网关中对多个号码发送支持不是很好，建议一次只发一个号码
		 //* @param url
		 //* @param content
		 //* @param scheduleTime 定时发送，立即发送则传null。
		SendResult[] results = client.sendWapush(null, "8613126478100", "www.baidu.com", "wappush测试", null);
		for(SendResult  reslut: results){
			log.info("发送短信，短信序号为："+ Arrays.toString(reslut.getFlowId()) + "发送结果:"+reslut.getResult());
		}
		//发送短信代码结束
		
		//由于是例子，所以发送完毕后就退出应用了，但是因为网关的报告消息需要一定时间才发送到所以这里先sleep下再退出应用
		try {
			Thread.sleep(10000);
		} catch (InterruptedException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		//当应用退出时需要销毁应用
		MOServer.getInstance().dispose();//关闭MOServer
		MTClient.getInstance().dispose();//关闭MTClient
	}
}
