# 短信网关接口说明

部署 192.168.70.125 133.96.94.176 端口 12080

入参说明：
fromSystem  来源系统，按照约定传固定值 如 tousuliucheng
loginName 登录用户名, loginName和phoneNumber不能全为空
phoneNumber 手机号
content  短信内容文本
scheduleTime 定时发送,传空字符串或者省略表示即时发送
messageType  各系统自行定义的消息类型，仅用于记录
internalId  系统内编号,可以考虑群发使用相同编号

群发时如果出现多个号码相同,只会发1次

- sendByPhoneNumber 1

```http
Post http://192.168.70.125:12080/api/sms/sendByPhoneNumber
Content-Type: application/json

{
  "fromSystem": "ceshi",
  "phoneNumber": "13231899751",
  "content": "这是一条测试短信,请忽略...",
  "scheduleTime": "2022-07-16 22:30:00",
  "smsType": "test",
  "internalId": "000001"
}
```

- sendByPhoneNumber 2

```http
Post http://127.0.0.1:12080/api/sms/sendByPhoneNumber
Content-Type: application/json

{
  "fromSystem": "ceshi",
  "phoneNumber": "13231899751",
  "content": "这是一条测试短信,请忽略...",
  "scheduleTime": "",
  "smsType": "test",
  "internalId": "000001"
}
```

- sendByPhoneNumber 3

```http
Post http://127.0.0.1:12080/api/sms/sendByPhoneNumber
Content-Type: application/json

{
  "fromSystem": "ceshi",
  "phoneNumber": "13231899751",
  "content": "这是一条测试短信,请忽略...",
  "smsType": "test",
  "internalId": "000001"
}
```

- sendByPhoneNumbers

phoneNumbers 表示手机号码的字符串数组

```http
Post http://127.0.0.1:12080/api/sms/sendByPhoneNumbers
Content-Type: application/json

{
  "fromSystem": "ceshi",
  "phoneNumbers": ["13231899751", "15633560090", "16673135227"],
  "content": "这是一条测试短信,请忽略...",
  "smsType": "test",
  "internalId": "000001"
}
```

- sendByLoginName

```http
Post http://127.0.0.1:12080/api/sms/sendByLoginName
Content-Type: application/json

{
  "fromSystem": "ceshi",
  "loginName": "test_shijiazhuang",
  "content": "这是一条测试短信,请忽略...",
  "smsType": "test",
  "internalId": "000001"
}
```

- sendByLoginNames

```http
Post http://127.0.0.1:12080/api/sms/sendByLoginNames
Content-Type: application/json

{
  "fromSystem": "ceshi",
  "loginNames": ["test_shijiazhuang", "test_hengshui"],
  "content": "这是一条测试短信,请忽略...sendByLoginNames",
  "smsType": "test",
  "internalId": "000001"
}
```

- 正常返回值

```json
HTTP/1.1 200 
Content-Type: application/json
Transfer-Encoding: chunked
Date: Sat, 16 Jul 2022 14:05:24 GMT
Connection: close

{
  "success": true,
  "code": 200,
  "message": "成功",
  "data": null
}

```
